Index: /trunk/sources/HeuristicLab 3.3.sln
===================================================================
--- /trunk/sources/HeuristicLab 3.3.sln	(revision 2772)
+++ /trunk/sources/HeuristicLab 3.3.sln	(revision 2773)
@@ -68,4 +68,5 @@
 		{DC3D7072-7999-4719-B65D-3997744D5DC1} = {DC3D7072-7999-4719-B65D-3997744D5DC1}
 		{BF7D9494-A586-457B-8DF9-ED599F9E6A71} = {BF7D9494-A586-457B-8DF9-ED599F9E6A71}
+		{F4539FB6-4708-40C9-BE64-0A1390AEA197} = {F4539FB6-4708-40C9-BE64-0A1390AEA197}
 		{958B43BC-CC5C-4FA2-8628-2B3B01D890B6} = {958B43BC-CC5C-4FA2-8628-2B3B01D890B6}
 		{AB687BBE-1BFE-476B-906D-44237135431D} = {AB687BBE-1BFE-476B-906D-44237135431D}
Index: /trunk/sources/HeuristicLab.Core/3.3/Engine.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Engine.cs	(revision 2772)
+++ /trunk/sources/HeuristicLab.Core/3.3/Engine.cs	(revision 2773)
@@ -93,9 +93,9 @@
     /// </summary>
     [Storable]
-    private Stack<IExecutionContext> executionStack;
+    private Stack<IExecutionSequence> executionStack;
     /// <summary>
     /// Gets the current execution stack.
     /// </summary>
-    protected Stack<IExecutionContext> ExecutionStack {
+    protected Stack<IExecutionSequence> ExecutionStack {
       get { return executionStack; }
     }
@@ -135,5 +135,5 @@
     protected Engine() {
       globalScope = new Scope("Global");
-      executionStack = new Stack<IExecutionContext>();
+      executionStack = new Stack<IExecutionSequence>();
       OperatorGraph = new OperatorGraph();
     }
@@ -151,7 +151,7 @@
       clone.globalScope = (Scope)cloner.Clone(globalScope);
       clone.executionTime = executionTime;
-      IExecutionContext[] contexts = executionStack.ToArray();
+      IExecutionSequence[] contexts = executionStack.ToArray();
       for (int i = contexts.Length - 1; i >= 0; i--)
-        clone.executionStack.Push((IExecutionContext)cloner.Clone(contexts[i]));
+        clone.executionStack.Push((IExecutionSequence)cloner.Clone(contexts[i]));
       clone.running = running;
       clone.canceled = canceled;
Index: /trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 2772)
+++ /trunk/sources/HeuristicLab.Core/3.3/ExecutionContext.cs	(revision 2773)
@@ -26,5 +26,5 @@
 
 namespace HeuristicLab.Core {
-  public class ExecutionContext : DeepCloneable, IExecutionContext {
+  public class ExecutionContext : DeepCloneable, IExecutionSequence {
     [Storable]
     private ExecutionContext parent;
Index: /trunk/sources/HeuristicLab.Core/3.3/ExecutionContextCollection.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/ExecutionContextCollection.cs	(revision 2772)
+++ /trunk/sources/HeuristicLab.Core/3.3/ExecutionContextCollection.cs	(revision 2773)
@@ -28,7 +28,7 @@
 
 namespace HeuristicLab.Core {
-  public class ExecutionContextCollection : DeepCloneable, IList<IExecutionContext>, IExecutionContext {
+  public class ExecutionContextCollection : DeepCloneable, IList<IExecutionSequence>, IExecutionSequence {
     [Storable]
-    private IList<IExecutionContext> contexts;
+    private IList<IExecutionSequence> contexts;
 
     [Storable]
@@ -40,13 +40,13 @@
 
     public ExecutionContextCollection() {
-      contexts = new List<IExecutionContext>();
+      contexts = new List<IExecutionSequence>();
       parallel = false;
     }
-    public ExecutionContextCollection(IEnumerable<IExecutionContext> collection) {
-      contexts = new List<IExecutionContext>(collection.Where(e => e != null));
+    public ExecutionContextCollection(IEnumerable<IExecutionSequence> collection) {
+      contexts = new List<IExecutionSequence>(collection.Where(e => e != null));
       parallel = false;
     }
-    public ExecutionContextCollection(params IExecutionContext[] list) {
-      contexts = new List<IExecutionContext>(list.Where(e => e != null));
+    public ExecutionContextCollection(params IExecutionSequence[] list) {
+      contexts = new List<IExecutionSequence>(list.Where(e => e != null));
       parallel = false;
     }
@@ -57,13 +57,13 @@
       clone.parallel = parallel;
       for (int i = 0; i < contexts.Count; i++)
-        clone.contexts.Add((IExecutionContext)cloner.Clone(contexts[i]));
+        clone.contexts.Add((IExecutionSequence)cloner.Clone(contexts[i]));
       return clone;
     }
 
     #region IList<IExecutionContext> Members
-    public int IndexOf(IExecutionContext item) {
+    public int IndexOf(IExecutionSequence item) {
       return contexts.IndexOf(item);
     }
-    public void Insert(int index, IExecutionContext item) {
+    public void Insert(int index, IExecutionSequence item) {
       if (item != null) contexts.Insert(index, item);
     }
@@ -71,5 +71,5 @@
       contexts.RemoveAt(index);
     }
-    public IExecutionContext this[int index] {
+    public IExecutionSequence this[int index] {
       get { return contexts[index]; }
       set { if (value != null) contexts[index] = value; }
@@ -78,5 +78,5 @@
 
     #region ICollection<IExecutionContext> Members
-    public void Add(IExecutionContext item) {
+    public void Add(IExecutionSequence item) {
       if (item != null) contexts.Add(item);
     }
@@ -84,8 +84,8 @@
       contexts.Clear();
     }
-    public bool Contains(IExecutionContext item) {
+    public bool Contains(IExecutionSequence item) {
       return contexts.Contains(item);
     }
-    public void CopyTo(IExecutionContext[] array, int arrayIndex) {
+    public void CopyTo(IExecutionSequence[] array, int arrayIndex) {
       contexts.CopyTo(array, arrayIndex);
     }
@@ -96,5 +96,5 @@
       get { return contexts.IsReadOnly; }
     }
-    public bool Remove(IExecutionContext item) {
+    public bool Remove(IExecutionSequence item) {
       return contexts.Remove(item);
     }
@@ -102,5 +102,5 @@
 
     #region IEnumerable<IExecutionContext> Members
-    public IEnumerator<IExecutionContext> GetEnumerator() {
+    public IEnumerator<IExecutionSequence> GetEnumerator() {
       return contexts.GetEnumerator();
     }
Index: /trunk/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj	(revision 2772)
+++ /trunk/sources/HeuristicLab.Core/3.3/HeuristicLab.Core-3.3.csproj	(revision 2773)
@@ -104,5 +104,5 @@
     <Compile Include="ChangedEventArgs.cs" />
     <None Include="HeuristicLabCorePlugin.cs.frame" />
-    <Compile Include="Interfaces\IExecutionContext.cs" />
+    <Compile Include="Interfaces\IExecutionSequence.cs" />
     <Compile Include="Interfaces\IValueLookupParameter.cs" />
     <Compile Include="Interfaces\IValueParameter.cs" />
Index: /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IExecutionSequence.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IExecutionSequence.cs	(revision 2773)
+++ /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IExecutionSequence.cs	(revision 2773)
@@ -0,0 +1,33 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Text;
+using System.Drawing;
+
+namespace HeuristicLab.Core {
+  /// <summary>
+  /// Interface which represents an execution context.
+  /// </summary>
+  public interface IExecutionSequence : IDeepCloneable { }
+}
Index: /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IOperator.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IOperator.cs	(revision 2772)
+++ /trunk/sources/HeuristicLab.Core/3.3/Interfaces/IOperator.cs	(revision 2773)
@@ -44,5 +44,5 @@
     /// <param name="scope">The scope where to execute the current instance.</param>
     /// <returns>The next operation.</returns>
-    IExecutionContext Execute(ExecutionContext context);
+    IExecutionSequence Execute(ExecutionContext context);
     /// <summary>
     /// Aborts the current operator.
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj	(revision 2772)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/HeuristicLab.Operators.Views-3.3.csproj	(revision 2773)
@@ -58,9 +58,15 @@
     </Compile>
     <None Include="HeuristicLabOperatorsViewsPlugin.cs.frame" />
-    <Compile Include="MultipleSuccessorsOperatorView.cs">
+    <Compile Include="MultipleCallsOperatorView.cs">
       <SubType>UserControl</SubType>
     </Compile>
-    <Compile Include="MultipleSuccessorsOperatorView.Designer.cs">
-      <DependentUpon>MultipleSuccessorsOperatorView.cs</DependentUpon>
+    <Compile Include="MultipleCallsOperatorView.Designer.cs">
+      <DependentUpon>MultipleCallsOperatorView.cs</DependentUpon>
+    </Compile>
+    <Compile Include="ValuesCollectorView.cs">
+      <SubType>UserControl</SubType>
+    </Compile>
+    <Compile Include="ValuesCollectorView.Designer.cs">
+      <DependentUpon>ValuesCollectorView.cs</DependentUpon>
     </Compile>
     <Compile Include="HeuristicLabOperatorsViewsPlugin.cs" />
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleCallsOperatorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleCallsOperatorView.Designer.cs	(revision 2773)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleCallsOperatorView.Designer.cs	(revision 2773)
@@ -0,0 +1,158 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Operators.Views {
+  partial class MultipleCallsOperatorView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.operatorsTabPage = new System.Windows.Forms.TabPage();
+      this.operatorListView = new HeuristicLab.Core.Views.OperatorListView();
+      this.parametersTabPage = new System.Windows.Forms.TabPage();
+      this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.tabControl.SuspendLayout();
+      this.operatorsTabPage.SuspendLayout();
+      this.parametersTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      // 
+      // descriptionTextBox
+      // 
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Size = new System.Drawing.Size(414, 86);
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.operatorsTabPage);
+      this.tabControl.Controls.Add(this.parametersTabPage);
+      this.tabControl.Location = new System.Drawing.Point(0, 118);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(486, 364);
+      this.tabControl.TabIndex = 4;
+      // 
+      // operatorsTabPage
+      // 
+      this.operatorsTabPage.Controls.Add(this.operatorListView);
+      this.operatorsTabPage.Location = new System.Drawing.Point(4, 22);
+      this.operatorsTabPage.Name = "operatorsTabPage";
+      this.operatorsTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.operatorsTabPage.Size = new System.Drawing.Size(478, 338);
+      this.operatorsTabPage.TabIndex = 0;
+      this.operatorsTabPage.Text = "Operators";
+      this.operatorsTabPage.UseVisualStyleBackColor = true;
+      // 
+      // operatorListView
+      // 
+      this.operatorListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.operatorListView.Caption = "Operator List";
+      this.operatorListView.Content = null;
+      this.operatorListView.Location = new System.Drawing.Point(6, 6);
+      this.operatorListView.Name = "operatorListView";
+      this.operatorListView.Size = new System.Drawing.Size(466, 326);
+      this.operatorListView.TabIndex = 0;
+      // 
+      // parametersTabPage
+      // 
+      this.parametersTabPage.Controls.Add(this.parameterCollectionView);
+      this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
+      this.parametersTabPage.Name = "parametersTabPage";
+      this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 338);
+      this.parametersTabPage.TabIndex = 1;
+      this.parametersTabPage.Text = "Parameters";
+      this.parametersTabPage.UseVisualStyleBackColor = true;
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection";
+      this.parameterCollectionView.Content = null;
+      this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
+      this.parameterCollectionView.Name = "parameterCollectionView";
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 326);
+      this.parameterCollectionView.TabIndex = 0;
+      // 
+      // MultipleCallsOperatorView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tabControl);
+      this.Name = "MultipleCallsOperatorView";
+      this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.tabControl, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.tabControl.ResumeLayout(false);
+      this.operatorsTabPage.ResumeLayout(false);
+      this.parametersTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.TabControl tabControl;
+    protected System.Windows.Forms.TabPage operatorsTabPage;
+    protected System.Windows.Forms.TabPage parametersTabPage;
+    private HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
+    private HeuristicLab.Core.Views.OperatorListView operatorListView;
+  }
+}
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleCallsOperatorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleCallsOperatorView.cs	(revision 2773)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/MultipleCallsOperatorView.cs	(revision 2773)
@@ -0,0 +1,72 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Operators.Views { 
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [Content(typeof(MultipleCallsOperator), true)]
+  public partial class MultipleCallsOperatorView : NamedItemView {
+    public new MultipleCallsOperator Content {
+      get { return (MultipleCallsOperator)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public MultipleCallsOperatorView() {
+      InitializeComponent();
+    }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
+    public MultipleCallsOperatorView(MultipleCallsOperator content)
+      : this() {
+      Content = content;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        operatorListView.Content = null;
+        parameterCollectionView.Content = null;
+        tabControl.Enabled = false;
+      } else {
+        operatorListView.Content = Content.Operators;
+        parameterCollectionView.Content = ((IOperator)Content).Parameters;
+        tabControl.Enabled = true;
+      }
+    }
+  }
+}
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs	(revision 2773)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.Designer.cs	(revision 2773)
@@ -0,0 +1,159 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.Operators.Views {
+  partial class ValuesCollectorView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing) {
+        if (components != null) components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.tabControl = new System.Windows.Forms.TabControl();
+      this.collectedValuesTabPage = new System.Windows.Forms.TabPage();
+      this.collectedValuesView = new HeuristicLab.Core.Views.ParameterCollectionView();
+      this.parametersTabPage = new System.Windows.Forms.TabPage();
+      this.parameterCollectionView = new HeuristicLab.Core.Views.ParameterCollectionView();
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).BeginInit();
+      this.tabControl.SuspendLayout();
+      this.collectedValuesTabPage.SuspendLayout();
+      this.parametersTabPage.SuspendLayout();
+      this.SuspendLayout();
+      // 
+      // nameTextBox
+      // 
+      this.errorProvider.SetIconAlignment(this.nameTextBox, System.Windows.Forms.ErrorIconAlignment.MiddleLeft);
+      this.errorProvider.SetIconPadding(this.nameTextBox, 2);
+      this.nameTextBox.Size = new System.Drawing.Size(414, 20);
+      // 
+      // descriptionTextBox
+      // 
+      this.descriptionTextBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.descriptionTextBox.Size = new System.Drawing.Size(414, 86);
+      // 
+      // tabControl
+      // 
+      this.tabControl.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.tabControl.Controls.Add(this.collectedValuesTabPage);
+      this.tabControl.Controls.Add(this.parametersTabPage);
+      this.tabControl.Location = new System.Drawing.Point(0, 118);
+      this.tabControl.Name = "tabControl";
+      this.tabControl.SelectedIndex = 0;
+      this.tabControl.Size = new System.Drawing.Size(486, 364);
+      this.tabControl.TabIndex = 4;
+      // 
+      // collectedValuesTabPage
+      // 
+      this.collectedValuesTabPage.Controls.Add(this.collectedValuesView);
+      this.collectedValuesTabPage.Location = new System.Drawing.Point(4, 22);
+      this.collectedValuesTabPage.Name = "collectedValuesTabPage";
+      this.collectedValuesTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.collectedValuesTabPage.Size = new System.Drawing.Size(478, 338);
+      this.collectedValuesTabPage.TabIndex = 0;
+      this.collectedValuesTabPage.Text = "Collected Values";
+      this.collectedValuesTabPage.UseVisualStyleBackColor = true;
+      // 
+      // collectedValuesView
+      // 
+      this.collectedValuesView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.collectedValuesView.Caption = "ParameterCollection";
+      this.collectedValuesView.Content = null;
+      this.collectedValuesView.Location = new System.Drawing.Point(6, 6);
+      this.collectedValuesView.Name = "collectedValuesView";
+      this.collectedValuesView.Size = new System.Drawing.Size(466, 326);
+      this.collectedValuesView.TabIndex = 0;
+      // 
+      // parametersTabPage
+      // 
+      this.parametersTabPage.Controls.Add(this.parameterCollectionView);
+      this.parametersTabPage.Location = new System.Drawing.Point(4, 22);
+      this.parametersTabPage.Name = "parametersTabPage";
+      this.parametersTabPage.Padding = new System.Windows.Forms.Padding(3);
+      this.parametersTabPage.Size = new System.Drawing.Size(478, 338);
+      this.parametersTabPage.TabIndex = 1;
+      this.parametersTabPage.Text = "Parameters";
+      this.parametersTabPage.UseVisualStyleBackColor = true;
+      // 
+      // parameterCollectionView
+      // 
+      this.parameterCollectionView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.parameterCollectionView.Caption = "ParameterCollection";
+      this.parameterCollectionView.Content = null;
+      this.parameterCollectionView.Location = new System.Drawing.Point(6, 6);
+      this.parameterCollectionView.Name = "parameterCollectionView";
+      this.parameterCollectionView.Size = new System.Drawing.Size(466, 326);
+      this.parameterCollectionView.TabIndex = 0;
+      // 
+      // ValuesCollectorView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.tabControl);
+      this.Name = "ValuesCollectorView";
+      this.Size = new System.Drawing.Size(486, 482);
+      this.Controls.SetChildIndex(this.tabControl, 0);
+      this.Controls.SetChildIndex(this.nameLabel, 0);
+      this.Controls.SetChildIndex(this.descriptionLabel, 0);
+      this.Controls.SetChildIndex(this.nameTextBox, 0);
+      this.Controls.SetChildIndex(this.descriptionTextBox, 0);
+      ((System.ComponentModel.ISupportInitialize)(this.errorProvider)).EndInit();
+      this.tabControl.ResumeLayout(false);
+      this.collectedValuesTabPage.ResumeLayout(false);
+      this.parametersTabPage.ResumeLayout(false);
+      this.ResumeLayout(false);
+      this.PerformLayout();
+
+    }
+
+    #endregion
+
+    protected System.Windows.Forms.TabControl tabControl;
+    protected System.Windows.Forms.TabPage collectedValuesTabPage;
+    protected System.Windows.Forms.TabPage parametersTabPage;
+    protected HeuristicLab.Core.Views.ParameterCollectionView parameterCollectionView;
+    protected HeuristicLab.Core.Views.ParameterCollectionView collectedValuesView;
+
+  }
+}
Index: /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 2773)
+++ /trunk/sources/HeuristicLab.Operators.Views/3.3/ValuesCollectorView.cs	(revision 2773)
@@ -0,0 +1,72 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.ComponentModel;
+using System.Drawing;
+using System.Data;
+using System.Text;
+using System.Windows.Forms;
+using HeuristicLab.Core;
+using HeuristicLab.Core.Views;
+using HeuristicLab.MainForm;
+
+namespace HeuristicLab.Operators.Views { 
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
+  [Content(typeof(ValuesCollector), true)]
+  public partial class ValuesCollectorView : NamedItemView {
+    public new ValuesCollector Content {
+      get { return (ValuesCollector)base.Content; }
+      set { base.Content = value; }
+    }
+
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
+    public ValuesCollectorView() {
+      InitializeComponent();
+    }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
+    public ValuesCollectorView(ValuesCollector content)
+      : this() {
+      Content = content;
+    }
+
+    protected override void OnContentChanged() {
+      base.OnContentChanged();
+      if (Content == null) {
+        collectedValuesView.Content = null;
+        parameterCollectionView.Content = null;
+        tabControl.Enabled = false;
+      } else {
+        collectedValuesView.Content = Content.CollectedValues;
+        parameterCollectionView.Content = ((IOperator)Content).Parameters;
+        tabControl.Enabled = true;
+      }
+    }
+  }
+}
